Mapserver plugin does not export 'labelitem' property for layer with labels
Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12786

Description

Using the mapserver export plugin, a layer which has labels does not find a 'LABELITEM' line in it's mapfile anymore. This worked in

older versions, but is apparently broken in current version.

It looks like it has something to do with a change in the project-file format.

Currently a 'maplayer'-element has 3 'label'-elements, the plugin code is broken because of this.

History

#1 - 2010-05-17 01:31 PM - Richard Duivenvoorde

can somebody do a simple review?

I think I can do the checkin myself.

#2 - 2010-06-11 09:11 PM - Paolo Cavallini

Is this fixed?

#3 - 2010-06-12 01:27 AM - Richard Duivenvoorde

- Resolution set to fixed

- Status changed from Open to Closed

yep, fixed in commit:ac2526b1 (SVN r13709)

Files

labelitemfix.txt 1.79 KB 2010-05-17 Richard Duivenvoorde
